# CUpti_ActivityUnifiedMemoryCounterConfig Struct Reference
[CUPTI Activity API]

Unified Memory counters configuration structure. More...

## Data Fields
uint32_t | deviceId
uint32_t | enable
CUpti_ActivityUnifiedMemoryCounterKind | kind
CUpti_ActivityUnifiedMemoryCounterScope | scope

## Detailed Description

This structure controls the enable/disable of the various Unified Memory counters consisting of scope, kind and other parameters. See function cuptiActivityConfigureUnifiedMemoryCounter

## Field Documentation

uint32_t CUpti_ActivityUnifiedMemoryCounterConfig::deviceId

Device id of the traget device. This is relevant only for single device scopes. (deprecated in CUDA 7.0)

uint32_t CUpti_ActivityUnifiedMemoryCounterConfig::enable

Control to enable/disable the counter. To enable the counter set it to non-zero value while disable is indicated by zero.

CUpti_ActivityUnifiedMemoryCounterKind CUpti_ActivityUnifiedMemoryCounterConfig::kind

Unified Memory counter Counter kind

CUpti_ActivityUnifiedMemoryCounterScope CUpti_ActivityUnifiedMemoryCounterConfig::scope

Unified Memory counter Counter scope. (deprecated in CUDA 7.0)